Package org.silverpeas.mobile.client.common.reconizer.swipe

## Enum SwipeEvent.DIRECTION

- java.lang.Object
- - java.lang.Enum<SwipeEvent.DIRECTION>
  - - org.silverpeas.mobile.client.common.reconizer.swipe.SwipeEvent.DIRECTION

- All Implemented Interfaces:
    `Serializable`, `Comparable<SwipeEvent.DIRECTION>`
  Enclosing class:
    SwipeEvent<H extends com.google.gwt.event.shared.EventHandler>

      public static enum SwipeEvent.DIRECTION
      extends Enum<SwipeEvent.DIRECTION>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM_TO_TOP` |
    `LEFT_TO_RIGHT` |
    `RIGHT_TO_LEFT` |
    `TOP_TO_BOTTOM` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SwipeEvent.DIRECTION` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SwipeEvent.DIRECTION[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT_TO_RIGHT

          public static final SwipeEvent.DIRECTION LEFT_TO_RIGHT

    - #### RIGHT_TO_LEFT

          public static final SwipeEvent.DIRECTION RIGHT_TO_LEFT

    - #### TOP_TO_BOTTOM

          public static final SwipeEvent.DIRECTION TOP_TO_BOTTOM

    - #### BOTTOM_TO_TOP

          public static final SwipeEvent.DIRECTION BOTTOM_TO_TOP

  - ### Method Detail

    - #### values

          public static SwipeEvent.DIRECTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwipeEvent.DIRECTION c : SwipeEvent.DIRECTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwipeEvent.DIRECTION valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null